Skip to content

GET /sonolus/{type}/list ​

/sonolus/{type}/list provides information of items, and is used by Sonolus app to populate server item list view.

URL Parameters ​

URL ParameterValueDescription
typestringposts, playlists, levels, skins, backgrounds, effects, particles, engines, replays, or rooms.

Query Parameters ​

Query ParameterValueDescription
localizationstringSee localization.
Configuration OptionsanySee Options Query Parameters.
pagenumberSee page.
cursorstringSee cursor.
Search ParametersanySee Options Query Parameters.

Search Parameters ​

When using quick search, search parameters of ?type=quick&keywords=... will be sent.

Request Headers ​

HeaderValueDescription
Sonolus-SessionstringOptional, see Sonolus-Session.

Request Body ​

None.

Response Code ​

CodeDescription
200 OK
401 UnauthorizedAuthentication required or expired.

Response Headers ​

HeaderValueDescription
Sonolus-VersionstringOptional, see Sonolus-Version.

Response Body ​

ts
type ServerItemList<T> = {
    title?: Text | (string & {})
    pageCount: number
    cursor?: string
    items: T[]
    searches?: ServerForm[]
    quickSearchValues?: string
}

pageCount ​

If negative value is used, the list uses cursor pagination.

cursor ​

Only has effect under cursor pagination. If present, next page is available and will be requested with the cursor value.

items ​

It is recommended to keep each page short by showing only 20 items.

Examples ​

json
{
    "pageCount": 5,
    "items": [
        // ...
    ],
    "searches": [
        // ...
    ]
}